diff -rud fltk-1.1.x-r5187.Orig/FL/Fl_Gl_Window.H fltk-1.1.x-r5187/FL/Fl_Gl_Window.H
--- fltk-1.1.x-r5187.Orig/FL/Fl_Gl_Window.H	2005-04-16 02:13:17.000000000 +0200
+++ fltk-1.1.x-r5187/FL/Fl_Gl_Window.H	2006-06-16 13:28:30.000000000 +0200
@@ -71,6 +71,8 @@
   Fl_Mode mode() const {return (Fl_Mode)mode_;}
   int mode(int a) {return mode(a,0);}
   int mode(const int *a) {return mode(0, a);}
+  int vsync();
+  int vsync(int);
 
   void* context() const {return context_;}
   void context(void*, int destroy_flag = 0);
diff -rud fltk-1.1.x-r5187.Orig/src/Fl_Gl_Window.cxx fltk-1.1.x-r5187/src/Fl_Gl_Window.cxx
--- fltk-1.1.x-r5187.Orig/src/Fl_Gl_Window.cxx	2006-01-15 03:26:54.000000000 +0100
+++ fltk-1.1.x-r5187/src/Fl_Gl_Window.cxx	2006-06-16 13:38:01.000000000 +0200
@@ -128,6 +128,30 @@
   return 1;
 }
 
+int Fl_Gl_Window::vsync() {
+#ifndef __APPLE__
+  return -1;
+#else
+  make_current();
+  GLint sync;
+  if ( aglGetInteger(context_, AGL_SWAP_INTERVAL, &sync) != GL_FALSE )
+    return (sync? 1: 0);
+  return -1;
+#endif
+}
+
+int Fl_Gl_Window::vsync(int force) {
+#ifndef __APPLE__
+  return -1;
+#else
+  make_current();
+  GLint sync = (force? -1: 0);
+  if ( aglSetInteger(context_, AGL_SWAP_INTERVAL, &sync) != GL_FALSE )
+    return force;
+  return -1;
+#endif
+}
+
 #define NON_LOCAL_CONTEXT 0x80000000
 
 void Fl_Gl_Window::make_current() {
